Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class JoinInfo

    java.lang.Object
      jet.api.JoinInfo

    public class JoinInfo

extends java.lang.Object

JoinInfo wraps all Join command related infos

Field Summary
`static int` | `LEFTOUTER` flag of outer join type
`static int` | `RIGHTOUTER` flag of outer join type

Constructor Summary
`JoinInfo()` constructor an empty object
`JoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` constructor
`JoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJoin)` constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` compare the object
`java.lang.String` | `getColumnFrom()` return the FROM column 's name
`java.lang.String` | `getColumnTo()` return the COLUMN 's name
`java.lang.String` | `getOperator()` return the COLUMN 's name
`int` | `getOuterJoinType()` Gets the outer join type
`java.lang.String` | `getTableFrom()` return the FROM table's name
`java.lang.String` | `getTableTo()` return the COLUMN 's name
`boolean` | `isSQL92()` Gets whether this join sentance apply SQL92 standard
`void` | `setColumnFrom(java.lang.String columnFrom)` set the FROM column 's name
`void` | `setColumnTo(java.lang.String columnTo)` set the TO column's name
`void` | `setIsSQL92(boolean isSQL92)` Sets whether this join sentance apply SQL92 standard
`void` | `setOperator(java.lang.String operator)` set the operator 's name
`void` | `setOuterJoinType(int outerJoin)` set the outer join type
`void` | `setTableFrom(java.lang.String tableFrom)` set the FROM table's name
`void` | `setTableTo(java.lang.String tableTo)` set the TOtable's name

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFTOUTER

    public static final int LEFTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

### RIGHTOUTER

    public static final int RIGHTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

Constructor Detail

### JoinInfo

    public JoinInfo()

  constructor an empty object

### JoinInfo

    public JoinInfo(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo)

  constructor

  Parameters:
    `tableFrom` - the FROM table of the join
    `columnFrom` - the FROM column of the join
    `operator` - the operator of the join
    `tableTo` - the TO table of the join
    `columnTo` - the TO column of the join

### JoinInfo

    public JoinInfo(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo,
                    boolean isSQL92,
                    int outerJoin)

  constructor

  Parameters:
    `tableFrom` - the FROM table of the join
    `columnFrom` - the FROM column of the join
    `operator` - the operator of the join
    `tableTo` - the TO table of the join
    `columnTo` - the TO column of the join
    `isSQL92` - whether this join sentance apply SQL92 standard
    `outerJoin` - the type of outer join

Method Detail

### getTableFrom

    public java.lang.String getTableFrom()

  return the FROM table's name

  Returns:
    FROM table's name

### getColumnFrom

    public java.lang.String getColumnFrom()

  return the FROM column 's name

  Returns:
    FROM column's name

### getOperator

    public java.lang.String getOperator()

  return the COLUMN 's name

  Returns:
    operator's value

### getTableTo

    public java.lang.String getTableTo()

  return the COLUMN 's name

  Returns:
    TO table's name

### getColumnTo

    public java.lang.String getColumnTo()

  return the COLUMN 's name

  Returns:
    TO column's name

### setTableFrom

    public void setTableFrom(java.lang.String tableFrom)

  set the FROM table's name

  Parameters:
    `tableFrom` - FROM table's name

### setColumnFrom

    public void setColumnFrom(java.lang.String columnFrom)

  set the FROM column 's name

  Parameters:
    `columnFrom` - FROM column's name

### setOperator

    public void setOperator(java.lang.String operator)

  set the operator 's name

  Parameters:
    `operator` - operator's value

### setTableTo

    public void setTableTo(java.lang.String tableTo)

  set the TOtable's name

  Parameters:
    `tableTo` - TO table's name

### setColumnTo

    public void setColumnTo(java.lang.String columnTo)

  set the TO column's name

  Parameters:
    `columnTo` - TO column's name

### setIsSQL92

    public void setIsSQL92(boolean isSQL92)

  Sets whether this join sentance apply SQL92 standard

  Parameters:
    `isSQL92` - whether this join sentance apply SQL92 standard

### isSQL92

    public boolean isSQL92()

  Gets whether this join sentance apply SQL92 standard

  Returns:
    whether this join sentance apply SQL92 standard

### setOuterJoinType

    public void setOuterJoinType(int outerJoin)

  set the outer join type

  Parameters:
    `outerJoin` - type of outer join

### getOuterJoinType

    public int getOuterJoinType()

  Gets the outer join type

  Returns:
    type of outer join

### equals

    public boolean equals(java.lang.Object obj)

  compare the object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    if the given object is equal to this one, return true, otherwise, return false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD